Bug 472323 - OS fails to boot when Booting from SAN
OS fails to boot when Booting from SAN
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
x86_64 Linux
medium Severity high
: beta
: ---
Assigned To: Tony Camuso
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 21:55 EST by Hector Arteaga
Modified: 2009-06-20 04:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 08:46:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Kernel panic (164.01 KB, image/jpeg)
2008-11-20 13:14 EST, Hector Arteaga
no flags Details

  None (edit)
Description Hector Arteaga 2008-11-19 21:55:53 EST
Description of problem:
I'm using an EVA LE as my boot device along with a dual ported 8Gb hba (82E/82Q) and the operationg system does not boot.  I was able to boot off of the same array on snapshot 1 although I was using 4Gb HBAs.  The installation completes as normal, but when the OS attempts to boot it fails complaining that there are duplicated devices.  I'll try to get more details on the actual failure cause.  I've tried booting with and without LVM partition and it makes no difference.

Version-Release number of selected component (if applicable):
Snapshot 2

How reproducible:
Everytime when booting from SAN

Steps to Reproduce:
1. Set up a boot lun on the SAN
2. Load RH5.3 snapshot2
3. reboot the server after the install conpletes.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Burns 2008-11-20 08:08:56 EST
Did this work in shapshot 1? You filed this against Xen, but it sounds more like a kernel issue. Are you trying to install snapshot 2 into a guest? Is it the dom0 kernel that is having the trouble or a guest kernel? If it's dom0, does a non-Xen kernel exhibit the same problem?
Comment 2 Bill Burns 2008-11-20 08:27:53 EST
I see it did work on snap 1 with a different size. Would be good to know if the size makes a difference. I.E. does the old size work on snap 2, or the new on snap 1.
Comment 4 Hector Arteaga 2008-11-20 12:07:04 EST
The 4Gb and 8Gb that I mentioned in my description referrs to HBA speeds not size of the lun.  I am using the same luns for snap 1 and snap 2.  I haven't checked if snap 1 is able to boot on 8Gb HBAs.  However, I was able to boot snap 1 using 4Gb HBAs and a co-worker confirmed that on snap 2 he is not able to boot with 4 or 8Gb HBAs.

This is when trying to load Dom0 onto a SAN lun.  You are right in that this is more kernel related that Xen.  When I initially enocuntered the issue I was loading the Xen kernel so I filed it under  Xen, but I have verified that the issue happens whether I'm booting the Xen Kernel or not.
Comment 5 Hector Arteaga 2008-11-20 13:14:42 EST
Created attachment 324217 [details]
Screenshot of Kernel panic
Comment 7 Hector Arteaga 2009-02-10 16:28:01 EST
Changing the status to Verified.  This has been fixed sinced snapshot 5.  Can be closed.
Comment 8 Tony Camuso 2009-06-01 08:46:42 EDT
Closing this BZ according to submitter's request.

Note You need to log in before you can comment on or make changes to this bug.